( function( $ ) {
    "use strict";
	$( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction('frontend/element_ready/tmusers-table.default', function($scope){
            var $container = $scope.find('.tmusers-table-container');  
            var $buttons = $container.data('buttons');
            if ($buttons == true) {
                var $dom = 'Bfrtip';
            } else {
                var $dom = 'frtip';
            }

            var count_headings = $scope.find("table thead tr th").length;
            $scope.find("table tbody tr").each(function() {
                if ($(this).find('td').length < count_headings) {
                    var n = count_headings - $(this).find('td').length;
                    $(this).append(new Array(++n).join('<td></td>'));
                }
            });

            $scope.find('.tmusers-table').DataTable({
                dom: $dom,
                paging: $container.data('paging'),
                pagingType: 'numbers',
                pageLength: $container.data('pagelength'),
                info: $container.data('info'),
                scrollX: true,
                searching: $container.data('searching'),
                ordering:  $container.data('ordering'),
                buttons: [
                    {
                        extend: 'csvHtml5',
                        text: tmusers_table_vars.csvHtml5
                    },
                    {
                        extend: 'excelHtml5',
                        text: tmusers_table_vars.excelHtml5
                    },
                    {
                        extend: 'pdfHtml5',
                        text: tmusers_table_vars.pdfHtml5
                    },
                    {
                        extend: 'print',
                        text: tmusers_table_vars.print
                    }
                ],
                language: {
                    lengthMenu: tmusers_table_vars.lengthMenu,
                    zeroRecords: tmusers_table_vars.zeroRecords,
                    info: tmusers_table_vars.info,
                    infoEmpty: tmusers_table_vars.infoEmpty,
                    infoFiltered: tmusers_table_vars.infoFiltered,
                    search: "",
                    searchPlaceholder: tmusers_table_vars.searchPlaceholder,
                    processing: tmusers_table_vars.processing
                }
            });
            $scope.find('.tmusers-table').css('visibility', 'visible');
        });        
    });
} )( jQuery );